Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.insurability.protocol.v2
Class GetInsurabilityForPharmacistRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v1.RequestType
          be.fgov.ehealth.insurability.protocol.v2.GetInsurabilityForPharmacistRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2023-09-11T04:24:39+02:00",
               comments="JAXB RI v2.3.6")
    public class GetInsurabilityForPharmacistRequest

extends RequestType
implements Serializable

GetInsurabilityForPharmacistRequestType

Java class for GetInsurabilityForPharmacistRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetInsurabilityForPharmacistRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}RequestType">
           <sequence>
             <element name="CommonInput" type="{urn:be:fgov:ehealth:insurability:core:v2}CommonInputType"/>
             <element name="RecordCommonInput" type="{urn:be:fgov:ehealth:insurability:core:v2}RecordCommonInputType"/>
             <element name="InsurabilityRequest" type="{urn:be:fgov:ehealth:insurability:core:v2}InsurabilityForPharmacistRequestType"/>
             <element name="ExtendedInformation" type="{urn:be:fgov:ehealth:insurability:core:v2}SamlAttributeType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GetInsurabilityForPharmacistRequest()`

Method Summary
`CommonInputType` | `getCommonInput()` Gets the value of the commonInput property.
`SamlAttributeType` | `getExtendedInformation()` Gets the value of the extendedInformation property.
`InsurabilityForPharmacistRequestType` | `getInsurabilityRequest()` Gets the value of the insurabilityRequest property.
`RecordCommonInputType` | `getRecordCommonInput()` Gets the value of the recordCommonInput property.
`void` | `setCommonInput(CommonInputType value)` Sets the value of the commonInput property.
`void` | `setExtendedInformation(SamlAttributeType value)` Sets the value of the extendedInformation property.
`void` | `setInsurabilityRequest(InsurabilityForPharmacistRequestType value)` Sets the value of the insurabilityRequest property.
`void` | `setRecordCommonInput(RecordCommonInputType value)` Sets the value of the recordCommonInput property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetInsurabilityForPharmacistRequest

    public GetInsurabilityForPharmacistRequest()

Method Detail

### getCommonInput

    public CommonInputType getCommonInput()

  Gets the value of the commonInput property.

  Returns:
    possible object is `CommonInputType`

### setCommonInput

    public void setCommonInput(CommonInputType value)

  Sets the value of the commonInput property.

  Parameters:
    `value` - allowed object is `CommonInputType`

### getRecordCommonInput

    public RecordCommonInputType getRecordCommonInput()

  Gets the value of the recordCommonInput property.

  Returns:
    possible object is `RecordCommonInputType`

### setRecordCommonInput

    public void setRecordCommonInput(RecordCommonInputType value)

  Sets the value of the recordCommonInput property.

  Parameters:
    `value` - allowed object is `RecordCommonInputType`

### getInsurabilityRequest

    public InsurabilityForPharmacistRequestType getInsurabilityRequest()

  Gets the value of the insurabilityRequest property.

  Returns:
    possible object is `InsurabilityForPharmacistRequestType`

### setInsurabilityRequest

    public void setInsurabilityRequest(InsurabilityForPharmacistRequestType value)

  Sets the value of the insurabilityRequest property.

  Parameters:
    `value` - allowed object is `InsurabilityForPharmacistRequestType`

### getExtendedInformation

    public SamlAttributeType getExtendedInformation()

  Gets the value of the extendedInformation property.

  Returns:
    possible object is `SamlAttributeType`

### setExtendedInformation

    public void setExtendedInformation(SamlAttributeType value)

  Sets the value of the extendedInformation property.

  Parameters:
    `value` - allowed object is `SamlAttributeType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging generic 3.25.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.